{% header "Content-Type: application/json" %}



{% set hospitals = [] %}

{% set hospitalsCriteria = craft.entries().section('hospitals').orderBy('hospitalName').all() %}

{% for hospitalCriteria in hospitalsCriteria %}


    {% set photos = [] %}

    {% for photo in hospitalCriteria.hospitalPhoto %}
        {% set photos = photos | merge([photo.url]) %}
    {% endfor %}

    {% 
     
     set hospitals= hospitals | merge([{
        'slug'       :   hospitalCriteria.slug,
        'name'       :   hospitalCriteria.hospitalName,
        'address'    :   hospitalCriteria.hospitalAddress,
        'ranking'    :   hospitalCriteria.hospitalRanking,
        'latitude'   :   hospitalCriteria.latitude,
        'longitude'  :   hospitalCriteria.longitude,
        'photos'     :   photos
     }])

    %}


{% endfor %}

{{hospitals|json_encode|raw}}